Đến nội dung


Hình ảnh
* * * - - 2 Bình chọn

Viết Lisp theo yêu cầu


  • Chủ đề bị khóa Chủ đề bị khóa
2780 replies to this topic

#2761 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1436 Bài viết
Điểm đánh giá: 1426 (rất tốt)

Đã gửi 03 September 2009 - 10:53 AM

Mình có 1 thắ mắc mong mọi ng giúp đỡ. Mình có 1 File nền hiện trạng chứa các text cao độ, nhưng các text cao độ này đã bị làm hỏng, tức là ví dụ như 3.14 thì nó bị phá thành 3 thành phần : ( số 3, dấu . và số 14 riêng rẽ). Làm thế nào để chuyển nó lại thành số 3.14 như mong muốn vậy ! E đã thử dùng lệnh txt2mtxt nhưng ko đc, bởi vì làm rất lâu,mỗi lần thỉ làm cho đc 1 số mà trên bình đồ của e có cả vạn số,với lại nó còn làm xuất hiện dấu cách giữa 2 số 3 và 14, phải chỉnh lại,thế thà viết lại text còn nhanh hơn.
Đây là file mẫu, mong mọi ng giúp đỡ
File mẫu

Bạn chạy thử Lisp này :
(defun c:dm2t (/ cmd lay ssPoint ePoint pt Left Right entLeft entRight dataLeft str);Data Mia to Text
(defun dxf (tag obj) (cdr (assoc tag obj)))
(defun p3(d x y) (polar (polar d 0 x) (* 0.5 pi) y))

(command "undo" "be")
(setq cmd (getvar "cmdecho"))
(setvar "cmdecho" 0)
(or *lay* (setq *lay* "AMIA" ))
(setq lay (getstring (strcat "\nNhap ten Layer chua Text(Point) can noi <" *lay* "> :")) )
(if (/= "" lay) (setq *lay* lay) (setq lay *lay*))
(princ "\nChon cac Point (diem Mia) can noi Text voi nhau: ")
(if (setq ssPoint (ssget (list (cons 0 "POINT") (cons 8 lay))))
(foreach ePoint (mapcar 'entget (vl-remove-if 'listp (mapcar 'cadr (ssnamex ssPoint))))
(setq pt (dxf 10 ePoint))
(if (and
(setq Left (ssget "_C" (p3 pt -3 3) pt (list (cons 0 "TEXT") (cons 8 lay) ) ))
(= (sslength Left) 1)
(setq Right (ssget "_C" pt (p3 pt 3 -1) (list (cons 0 "TEXT") (cons 8 lay) ) ))
(= (sslength Right) 1)
(not (equal (setq entLeft (ssname Left 0)) (setq entRight (ssname Right 0))))
)
(progn
(setq dataLeft (entget entLeft)
str (strcat (dxf 1 dataLeft) "." (dxf 1 (entget entRight)))
dataLeft (subst (cons 1 str) (assoc 1 dataLeft) dataLeft))
(entmod dataLeft)
(entdel entRight)
)
)
)
)
(setvar "cmdecho" cmd)
(command "undo" "e")(princ)
)

  • 1

#2762 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3805 (đỉnh cao)

Đã gửi 03 September 2009 - 11:34 AM

@Tue_NV :
1. Lệnh mutiline hay ML có thể vẽ được 2 đường song song, điều chỉnh được khoảng cách nhưng lại cùng màu với nhau, cái mình cần là 2 đường song song,điều chỉnh được khoảng cách nhưng khác màu.
2. lệnh quick select và lệnh filter chỉ làm việc với những đối tượng có màu là bylayer thì chuẩn thôi, với đối tượng có màu khác, vd : màu số 8, hay số ... là không hiệu quả.

1. Cái bạn nói là sai.
Không cần dùng Lisp : Dùng lệnh Mlstyle và vẽ bằng lệnh Mline. Bạn hãy đánh lệnh Mlstyle trong file này và tìm hiểu cách vẽ
2 đường song song,điều chỉnh được khoảng cách nhưng khác màu.
File đây : http://www.cadviet.c...pfiles/2/ml.dwg
Còn đây là hình ảnh minh hoạ :
Hình đã gửi

2. Bạn đọc kỹ lại bài của Tue_NV đi, phải dùng Lisp thôi
  • 0

#2763 tomboy

tomboy

    biết vẽ polygon

  • Members
  • PipPip
  • 72 Bài viết
Điểm đánh giá: 20 (tàm tạm)

Đã gửi 03 September 2009 - 11:41 AM

Mình có 1 thắ mắc mong mọi ng giúp đỡ. Mình có 1 File nền hiện trạng chứa các text cao độ, nhưng các text cao độ này đã bị làm hỏng, tức là ví dụ như 3.14 thì nó bị phá thành 3 thành phần : ( số 3, dấu . và số 14 riêng rẽ). Làm thế nào để chuyển nó lại thành số 3.14 như mong muốn vậy ! E đã thử dùng lệnh txt2mtxt nhưng ko đc, bởi vì làm rất lâu,mỗi lần thỉ làm cho đc 1 số mà trên bình đồ của e có cả vạn số,với lại nó còn làm xuất hiện dấu cách giữa 2 số 3 và 14, phải chỉnh lại,thế thà viết lại text còn nhanh hơn.
Đây là file mẫu, mong mọi ng giúp đỡ
File mẫu

bạn dùng cái này: http://www.cadviet.c...files/2/jd2.lsp
lệnh là: JD2
  • 1

#2764 vbao

vbao

    biết lệnh array

  • CADViet Team
  • PipPipPip
  • 184 Bài viết
Điểm đánh giá: 80 (tàm tạm)

Đã gửi 03 September 2009 - 11:54 AM

Bạn chạy thử Lisp này :

(defun c:dm2t (/ cmd ssPoint ePoint pt Left Right entLeft entRight dataLeft str);Data Mia to Text
(defun dxf (tag obj) (cdr (assoc tag obj)))
(defun p3(d x y) (polar (polar d 0 x) (* 0.5 pi) y))

(command "undo" "be")
(setq cmd (getvar "cmdecho"))
(setvar "cmdecho" 0)
(princ "\nChon cac Point (diem Mia) can noi Text voi nhau: ")
(if (setq ssPoint (ssget (list (cons 0 "POINT") (cons 8 "AMIA"))))
(foreach ePoint (mapcar 'entget (vl-remove-if 'listp (mapcar 'cadr (ssnamex ssPoint))))
(setq pt (dxf 10 ePoint))
(if (and
(setq Left (ssget "_C" (p3 pt -3 3) pt (list (cons 0 "TEXT") (cons 8 "AMIA") ) ))
(= (sslength Left) 1)
(setq Right (ssget "_C" pt (p3 pt 3 -1) (list (cons 0 "TEXT") (cons 8 "AMIA") ) ))
(= (sslength Right) 1)
(not (equal (setq entLeft (ssname Left 0)) (setq entRight (ssname Right 0))))
)
(progn
(setq dataLeft (entget entLeft)
str (strcat (dxf 1 dataLeft) "." (dxf 1 (entget entRight)))
dataLeft (subst (cons 1 str) (assoc 1 dataLeft) dataLeft))
(entmod dataLeft)
(entdel entRight)
)
)
)
)
(setvar "cmdecho" cmd)
(command "undo" "e")(princ)
)


anh gia_bach có thể thêm phần options : nhập layer các đối tượng cần nối, theo yêu cầu người sử dụng, chương trình sẽ linh động hơn. Cảm ơn anh
  • 0

#2765 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1436 Bài viết
Điểm đánh giá: 1426 (rất tốt)

Đã gửi 03 September 2009 - 02:27 PM

anh gia_bach có thể thêm phần options : nhập layer các đối tượng cần nối, theo yêu cầu người sử dụng, chương trình sẽ linh động hơn. Cảm ơn anh

Đã Update theo yêu cầu của bạn xem bài phía trên

Nhờ các bác cao thủ viết giúp em LISP có yêu cầu như thế này:
............
2.Lisp thứ 2 là khi thực hiện ta có thể chon các đối tượng cùng màu để đưa vào 1 lớp.
Thank các bác cao thủ nhiều...

chào nvc
......
2.Bạn chạy thử Lisp chọn các đối tượng cùng màu
Lisp chỉ chọn đối tuợng theo màu, việc copy, move, ChangeLayer , ... tùy bạn xử lý.
(defun c:sbc (/ ent col layers lay_lst filter ss);Select By Color
(defun get_layer(col / tbl lay_lst)
(setq tbl (tblnext "LAYER" T) lay_lst (list))
(while tbl
(if (= col (cdr (assoc 62 tbl)))
(setq lay_lst (cons (cdr(assoc 2 tbl)) lay_lst)) )
(setq tbl (tblnext "LAYER" ))
)
lay_lst
)
(if (setq ent (entsel "\nSelect object for color filter."))
(progn
(or (setq col (cdr(assoc 62 (entget (car ent)))))
(setq col (cdr (assoc 62
(tblsearch "layer"
(cdr (assoc 8 (entget (car ent)))))))); color is ByLayer, get layer color
)
(setq layers ""
lay_lst (get_layer col)) ; danh sach layer co mau "col"
(foreach lay lay_lst
(setq layers (strcat layers lay ",")))
(setq layers (substr layers 1 (1- (strlen layers)))); remove the last
(prompt (strcat "\n Chon doi tuong hay ENTER de chon tat ca doi tuong co color[ " (itoa col) " ]"))
(if layers ;; tao bo loc
(setq filter (append
(cons '(-4 . " (list '(-4 . " (cons 8 layers)
'(62 . 256) ; ByLayer
'(-4 . "AND>")
'(-4 . "OR>")
)))
(setq filter (list (cons 62 col)))
)
(sssetfirst nil)
(if (null (setq ss (ssget filter))) (setq ss (ssget "_X" filter)) )
(if (> (sslength ss) 0)
(progn
(prompt (strcat "\nChon duoc " (itoa (sslength ss))
" doi tuong co color[ " (itoa col) " ]"))
(sssetfirst nil ss)
))
))
(princ)
)

  • 1

#2766 thiep

thiep

    biết dimbaseline

  • Members
  • PipPipPipPipPip
  • 369 Bài viết
Điểm đánh giá: 260 (khá)

Đã gửi 03 September 2009 - 03:40 PM

Nhờ các bác cao thủ viết giúp em LISP có yêu cầu như thế này:
1.Khi thực hiện lệnh, ta có thể vẽ đồng thời 2 đường line hay 2 đường polyline, hoặc arc...với khoảng cách của 2 đường và màu sắc có thể thay đổi do người dùng.VD: khi vẽ, tạo ra đồng thời 2 đường line, line 1 màu số 4, line 2 màu số 8

Lisp bạn cần có phản cái này không?
;;; Lisp tao 2 duong song song
(defun co (p1 p2 k / flag)
(if (or (< (car p1) (car p2)) (< (cadr p1) (cadr p2)))
(setq flag (- k))
(setq flag k)
)
flag
)
(defun c:d2c (/ )
(setq bit1 (cond (bit1)
("Line")
)
)
(initget "Line Pline Spline Arc Circle Ellipse")
(setq tmp1 (strcat "\nBan ve duong gi? [Line/Pline/Spline/Arc/Circle/Ellipse] <" bit1 ">: ")
bit1 (cond ((getkword tmp1))
(bit1)
)
)
(setq bit2 (cond (bit2)
("Giua")
)
)
(initget "Tren Duoi Giua")
(setq tmp2 (strcat "\nDiem pick nam duong Tren, duong Duoi hay Giua 2 duong? [Tren/Duoi/Giua] <" bit2 ">: ")
bit2 (cond ((getkword tmp2))
(bit2)
)
)
(setq k (cond (k)
(5)
)
)
(setq oldk k)
(setq
k (getreal
(strcat "\nKhoang cach 2 duong <"
(rtos oldk 2 1)
"> : "

)
)
)
(if (null k)
(setq k oldk)
)

(cond ((eq bit1 "Line")
(command ".Line" pause pause)
)
((eq bit1 "Pline")
(setq p1 (getpoint "\nPick diem dau"))
(command ".PLine" p1)
(while (setq p1 (getpoint p1 "\nPick diem tiep theo:"))
(command p1)
)
(command "" "")
)
((eq bit1 "Spline")
(setq p1 (getpoint "\nPick diem dau"))
(command ".SPLine" p1)
(while (setq p1 (getpoint p1 "\nPick diem tiep theo:"))
(command p1)
)
(command "" "" "")
)
((eq bit1 "Arc")
(command ".Arc" pause pause pause)
)
((eq bit1 "Circle")
(command ".Circle" pause pause)
)
((eq bit1 "Ellipse")
(command ".Ellipse" pause pause pause)
)
)
(setq en (entlast)
OBJ (vlax-ename->vla-object en)
pA (vlax-curve-getStartPoint en)
pB (vlax-curve-getEndPoint en)
)

(cond ((eq bit2 "Tren")
(setq flag (co pA pB (- k)))
(setq
objLW1 (car (vlax-safearray->list
(vlax-variant-value (vla-offset obj flag))
)
)
)
(vla-put-color obj acCyan)
(vla-put-color objLW1 8)
)
((eq bit2 "Duoi")
(setq flag (co pA pB k))
(setq
objLW1
(car (vlax-safearray->list
(vlax-variant-value (vla-offset obj flag))
)
)
)
(if (/= (car p1) (car p2))
(progn
(vla-put-color obj acCyan)
(vla-put-color objLW1 8)
)
(progn
(vla-put-color obj 8)
(vla-put-color objLW1 acCyan)
)
)
)
((eq bit2 "Giua")
(setq objLW1 (car (vlax-safearray->list
(vlax-variant-value
(vla-offset obj (/ k 2))
)
)
)
)
(setq objLW2 (car (vlax-safearray->list
(vlax-variant-value
(vla-offset obj (/ (- k) 2))
)
)
)
)
(vla-delete obj)
(vla-put-color objLW1 acCyan)
(vla-put-color objLW2 8)
)
)
(princ)
)
;;; copyright by Thiep 9/2009

  • 1

#2767 tivanteo

tivanteo

    biết vẽ circle

  • Members
  • PipPip
  • 36 Bài viết
Điểm đánh giá: 17 (tàm tạm)

Đã gửi 03 September 2009 - 03:47 PM

gửi bạn lisp cho phép bạn vẽ chọn không phải là 2 mà là 2 đến 16 đường song song với khoảng cách có thể chọn được
http://www.cadviet.c...mitools_mpl.lsp
  • 2

#2768 thiep

thiep

    biết dimbaseline

  • Members
  • PipPipPipPipPip
  • 369 Bài viết
Điểm đánh giá: 260 (khá)

Đã gửi 03 September 2009 - 04:06 PM

tại vì mình nghĩ trong chương trình của bác Hoành mục đích chính là nối text TEN DIEM với text CODE để tạo thành 1 text duy nhất, (và đoạn này mình nghĩ đã bị ai xoá đi mất tiêu, còn đoạn nối TEN DIEM với CODE có tên trùng với TEN DIEM chỉ là để thông báo cho người dùng biết. Chính vì thế mà mình với thay đổi Lisp của bác ấy. Vả lại mình cũng nói với bác ấy nếu mình có thay đổi công năng chương trình của bác thì bác cứ góp ý phê bình mà. Dẫu sao thì mình cũng cảm ơn sự góp ý của bạn, còn chuyện biết Pass với sửa được thì bạn hoàn toàn hiểu sai ý của mình, chẳng lẽ đoạn lisp nào post lên mạng đều phải biết pass mới sửa được hay sao?

Ví dụ nhé, Bạn thử xem bài post của Thiep:
http://www.cadviet.c...&...ost&p=71615
Ngày mai Thiep sẽ update lại lisp này để áp dụng cho các kiểu curve ở 2 đầu trụ và chỉ có Thiep mới edit lại được. Tomboy xem có khác nhau không? và Tomboy có thể edit bài post của Thiep được không?
  • 0

#2769 Gatesi

Gatesi

    biết vẽ arc

  • Members
  • PipPip
  • 41 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 03 September 2009 - 05:36 PM

bạn dùng cái này: http://www.cadviet.c...files/2/jd2.lsp
lệnh là: JD2

ĐÚng rùi,cảm won các bác !!hehe
  • 0

#2770 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4106 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 03 September 2009 - 06:03 PM

Topic này hiện nay quá nhiều bài viết, việc truy cập vào topic làm chậm diễn đàn.

Xin được khóa topic này, các bác muốn yêu cầu lisp hay thảo luận thì xin mời vào Viết lisp theo yêu cầu [phần 2] để tiếp tục.
  • 0

#2771 phongthien

phongthien

    biết vẽ line

  • Members
  • PipPip
  • 23 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 18 November 2010 - 09:42 PM

Máy anh ơi giúp em file cad nay với
http://www.cadviet.c...es/3/aaaaaa.dwg
làm sao để tìm ra các khoang hở đó và tự độn bắn các line đụng vào nhau luôn nhe
với điều kiện là khi quét hết bản đồ thì chỉ các đường màu tím bắn đụng đường màu xanh thôi, còn các đường màu trắng thì giữ nguyên nhe
thank!!!!
  • 0

#2772 toni6226529

toni6226529

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 25 November 2010 - 11:19 AM

anh ơi giúp e với.!
e dang cần lisp vẽ trục. vẽ line tự động đánh số 1,2,3...
  • 0

#2773 trancong51cd3

trancong51cd3

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 27 November 2010 - 10:36 PM

Bạn có thể post yêu cầu về autolisp ở topic này.

anh ơi.Em down được lisp chuyển từ pline sang spline nhưng khi đánh lệnh pl2spl nó báo lỗi là:error: no function definition: MASSOC. Anh có thế sửa giúp em không.e đang cần gấp.cảm ơn anh nhiều.đây là đường link của lisp.http://www.cadviet.com/upfiles/3/pl2spl.lsp
  • 0

#2774 Cuibappro

Cuibappro

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 29 November 2010 - 03:35 PM

Bạn có thể post yêu cầu về autolisp ở topic này.

Gửi a Nguyen Hoanh!
em là người không rành về lisp, nhưng là dân Trắc địa, lại luôn tiếp xúc với những yêu cầu về truy xuất dữ liệu thông qua cad. nay e có 1 file excel sau, nhờ a xem và hỗ trợ viết lisp để xuất nó qua cad (với mỗi hàng là 1 điểm-point) với số lượng điểm không giới hạn, có thể chia số thứ tự là 1 layer; x,y,z là 1 layer; ghi chú là 1 layer. Mong a và mọi người hỗ trợ giúp. Rất mong được sự trợ giúp của a và mọi người. file excel sau: http://www.cadviet.c..._lieu_excel.rar
  • 0

#2775 vnanhvu

vnanhvu

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 29 November 2010 - 11:06 PM

Các bác có thể viết giùm Lisp Hatch như sau: Kiểu hatch ( AR-Sand ), Scale Hatch ( 20 ), đặc tính KÉo dãn được, Mang thuộc tính ANNotive để sử dụng cho layout ( trong đó tạo sẵn annotive ở các tỉ lệ 50 100 25 10... ), và cuối cùng là Hatch theo layer Hatch! thanks nhiều nhiều
  • 0

#2776 hoanthanh2010

hoanthanh2010

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 26 December 2010 - 10:48 PM

Bạn có thể post yêu cầu về autolisp ở topic này.

cho mình xin lips cad vẽ mặt cắt, mình gừi phai đi kèm
http://www.cadviet.c...s/3/btii1_1.rar
  • 0

#2777 NDBNGO

NDBNGO

    biết lệnh rotate

  • Members
  • PipPipPip
  • 132 Bài viết
Điểm đánh giá: 20 (tàm tạm)

Đã gửi 01 January 2011 - 09:47 AM

Trên diễn đàn đã có nhiều phần lisp xuất text (giá trị cao độ) trên màn hình ra file (với định dạng thu tu,X,Y,Z) nhưng mình cần khi xuất ra file các tập hợp này được sắp sếp theo các lựa chon sau -4 lựa chọn người dùng-(giá trị X tăng, X giảm,Y tăng,Y giảm). Nhờ các ban có thể viết giúp mình lisp với các lựa chọn như vậy .
Trong các text này ,nếu giá trị text nào được lựa chọn bằng chuột (Chọn điểm text cần thêm ghi chú) thì sẽ thêm giá trị text theo người dùng yêu cầu khi xuất ra file (ví dụ mặc định là chữ T chẳng hạn)
Ví dụ : Sau khi chọn 1 tập hợp các text trên màn hình sẽ xuât ra file theo y tăng(y theo trắc địa và là x trên cad)
1 12.36 42.36 17.36
2 13.56 42.38 15.34
3 12.35 42.56 14.38 T
4 12.39 42.65 13.32
Trong đó cột 1 là số thứ tự cột 2 là giá trị x,cột 3 giá trị y,cột 4 giá trị Text trên màn hình ,T là giá trị chuỗi thêm vào text cần đánh dấu trên màn hình bằng bấm chuột .
Các bạn Thaistreetz và phamthanhbinh cũng đã ngiên cứu viêt về vấn đề gần giống như vậy ,nhưng chưa thấy các lisp đó trên diễn đàn. Nhờ các bạn hỗ trợ
Xin cảm ơn.
  • 0

#2778 Thaistreetz

Thaistreetz

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 903 Bài viết
Điểm đánh giá: 505 (tốt)

Đã gửi 01 January 2011 - 02:20 PM

Trên diễn đàn đã có nhiều phần lisp xuất text (giá trị cao độ) trên màn hình ra file (với định dạng thu tu,X,Y,Z) nhưng mình cần khi xuất ra file các tập hợp này được sắp sếp theo các lựa chon sau -4 lựa chọn người dùng-(giá trị X tăng, X giảm,Y tăng,Y giảm). Nhờ các ban có thể viết giúp mình lisp với các lựa chọn như vậy .
Trong các text này ,nếu giá trị text nào được lựa chọn bằng chuột (Chọn điểm text cần thêm ghi chú) thì sẽ thêm giá trị text theo người dùng yêu cầu khi xuất ra file (ví dụ mặc định là chữ T chẳng hạn)
Ví dụ : Sau khi chọn 1 tập hợp các text trên màn hình sẽ xuât ra file theo y tăng(y theo trắc địa và là x trên cad)
1 12.36 42.36 17.36
2 13.56 42.38 15.34
3 12.35 42.56 14.38 T
4 12.39 42.65 13.32
Trong đó cột 1 là số thứ tự cột 2 là giá trị x,cột 3 giá trị y,cột 4 giá trị Text trên màn hình ,T là giá trị chuỗi thêm vào text cần đánh dấu trên màn hình bằng bấm chuột .
Các bạn Thaistreetz và phamthanhbinh cũng đã ngiên cứu viêt về vấn đề gần giống như vậy ,nhưng chưa thấy các lisp đó trên diễn đàn. Nhờ các bạn hỗ trợ
Xin cảm ơn.

Đọc đi đọc lại mà em vẫn chưa hiểu ý bác lắm. Riêng phần yêu cầu sắp xêp tọa độ các điểm theo ý của bác thì em nghĩ có cách làm đơn giản hơn, đó là dùng excel để sắp xếp. Cụ thể là thế này:
- Bác cứ chạy các điểm cần thống kê tọa độ và cao độ ra file text. làm bằng cách nào thì chắc bác đã biết. diễn đàn đã có rất nhiều công cụ để làm việc này.
- có file text rồi bác mở nó lên bằng excel. chọn tất cả các hàng cần sắp xếp.
- tìm công cụ filter (nếu bác dùng excel 2007 thì nó nằm ở menu data) và bấm vào nó đẻ kích hoạt)
- khi đó ở đầu các cột sẽ có 1 mũi tên. bấm vào nó rồi lựa chọn cách săp xếp theo ý của bác. sau khi đã sắp xếp xong thì bác tắt Filter đi.
hi vọng đúng ý bác.
  • 0

Hình đã gửi
IN HIM, I TRUST. THE TRUST IN MY GOD


#2779 NDBNGO

NDBNGO

    biết lệnh rotate

  • Members
  • PipPipPip
  • 132 Bài viết
Điểm đánh giá: 20 (tàm tạm)

Đã gửi 01 January 2011 - 04:00 PM

Đọc đi đọc lại mà em vẫn chưa hiểu ý bác lắm. Riêng phần yêu cầu sắp xêp tọa độ các điểm theo ý của bác thì em nghĩ có cách làm đơn giản hơn, đó là dùng excel để sắp xếp. Cụ thể là thế này:
- Bác cứ chạy các điểm cần thống kê tọa độ và cao độ ra file text. làm bằng cách nào thì chắc bác đã biết. diễn đàn đã có rất nhiều công cụ để làm việc này.
- có file text rồi bác mở nó lên bằng excel. chọn tất cả các hàng cần sắp xếp.
- tìm công cụ filter (nếu bác dùng excel 2007 thì nó nằm ở menu data) và bấm vào nó đẻ kích hoạt)
- khi đó ở đầu các cột sẽ có 1 mũi tên. bấm vào nó rồi lựa chọn cách săp xếp theo ý của bác. sau khi đã sắp xếp xong thì bác tắt Filter đi.
hi vọng đúng ý bác.

Đùng là trước nay( 5-7 năm nay) đến giờ cá nhân vẫn làm như thế ,nhưng mất rất nhièu thời gian và phức tạp khi có rất nhiều tập hợp tọa dộ như thế ,cứ mỗi tập hợp cá nhân lại phải đưa sang excel và lực chọn để sắp xêp lại theo ý muốn (tăng dần hoắc giảm dần giá trị x,y). Rối lại phải ghép lại các tập hợp này .
Vì khi xuât các giá trị text các test không theo ý mình.
Vậy rất cần các lisp có tính năng trên.
Xin cảm ơn.
  • 0

#2780 NDBNGO

NDBNGO

    biết lệnh rotate

  • Members
  • PipPipPip
  • 132 Bài viết
Điểm đánh giá: 20 (tàm tạm)

Đã gửi 01 January 2011 - 04:00 PM

Đọc đi đọc lại mà em vẫn chưa hiểu ý bác lắm. Riêng phần yêu cầu sắp xêp tọa độ các điểm theo ý của bác thì em nghĩ có cách làm đơn giản hơn, đó là dùng excel để sắp xếp. Cụ thể là thế này:
- Bác cứ chạy các điểm cần thống kê tọa độ và cao độ ra file text. làm bằng cách nào thì chắc bác đã biết. diễn đàn đã có rất nhiều công cụ để làm việc này.
- có file text rồi bác mở nó lên bằng excel. chọn tất cả các hàng cần sắp xếp.
- tìm công cụ filter (nếu bác dùng excel 2007 thì nó nằm ở menu data) và bấm vào nó đẻ kích hoạt)
- khi đó ở đầu các cột sẽ có 1 mũi tên. bấm vào nó rồi lựa chọn cách săp xếp theo ý của bác. sau khi đã sắp xếp xong thì bác tắt Filter đi.
hi vọng đúng ý bác.

Đùng là trước nay( 5-7 năm nay) đến giờ cá nhân vẫn làm như thế ,nhưng mất rất nhièu thời gian và phức tạp khi có rất nhiều tập hợp tọa độ như thế ,cứ mỗi tập hợp cá nhân lại phải đưa sang excel và lực chọn để sắp xêp lại theo ý muốn (tăng dần hoắc giảm dần giá trị x,y). Rối lại phải ghép lại các tập hợp này .
Vì khi xuât các giá trị text các test không theo ý mình,hơn nữa khi sắp sếp xong lại mở cả 2 bản cad và excel để tìm đánh dấu text mình cần thêm giá trị ( chuối string) nằm ở vị trị nào trên bảng để gõ vào.Lấu lắm.
Vậy rất cần các lisp có tính năng trên.
Xin cảm ơn.
  • 0